/// <reference types="node" />
import { Readable } from 'stream';
import { NormalizedServiceConfig } from './validateAndNormalizeConfig';
import { Logger } from './Logger';
export declare class ServiceProcess {
    readonly output: Readable;
    readonly started: Promise<void>;
    logTail: string[];
    private readonly serviceId;
    private readonly serviceConfig;
    private readonly logger;
    private readonly process;
    private didError;
    private didEnd;
    private readonly ended;
    private wasEndCalled;
    constructor(serviceId: string, serviceConfig: NormalizedServiceConfig, logger: Logger, onCrash: () => void);
    isRunning(): boolean;
    end(windowsCtrlCShutdown: boolean): Promise<void>;
    private forceKillAfterTimeout;
}
//# sourceMappingURL=ServiceProcess.d.ts.map