import { CompositeServiceConfig } from './CompositeServiceConfig';
import { LogLevel } from './Logger';
import { ReadyContext } from './ReadyContext';
import { OnCrashContext } from './OnCrashContext';
export interface NormalizedCompositeServiceConfig {
    logLevel: LogLevel;
    gracefulShutdown: boolean;
    windowsCtrlCShutdown: boolean;
    services: {
        [id: string]: NormalizedServiceConfig;
    };
}
export interface NormalizedServiceConfig {
    dependencies: string[];
    cwd: string;
    command: string[];
    env: {
        [key: string]: string;
    };
    ready: (ctx: ReadyContext) => Promise<any>;
    forceKillTimeout: number;
    onCrash: (ctx: OnCrashContext) => any;
    logTailLength: number;
    minimumRestartDelay: number;
}
export declare function validateAndNormalizeConfig(config: CompositeServiceConfig): NormalizedCompositeServiceConfig;
export declare class ConfigValidationError extends Error {
    constructor(message: string);
}
//# sourceMappingURL=validateAndNormalizeConfig.d.ts.map