'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var events = require('events');
var express = _interopDefault(require('express'));
var httpProxyMiddleware = require('http-proxy-middleware');

const app = /*#__PURE__*/express(); // eslint-disable-next-line no-eval

const proxies = /*#__PURE__*/eval(process.env.PROXIES);

for (const [filter, options] of proxies) {
  const middleware = /*#__PURE__*/httpProxyMiddleware.createProxyMiddleware(filter, options);
  app.use(middleware);
}

const host = process.env.HOST;
const port = /*#__PURE__*/Number.parseInt(process.env.PORT, 10);
const server = /*#__PURE__*/app.listen(port, host);
events.once(server, 'listening').then(() => {
  console.log(`Listening @ http://${host}:${port}`);
});
//# sourceMappingURL=http-gateway-server.js.map
