/**
 * Waits a predetermined length of time
 *
 * @param milliseconds - Length of time to wait
 *
 * @example
 *
 * ```js
 * const { onceTimeout } = require('composite-service')
 *
 * const myServiceConfig = {
 *   command: 'node service.js',
 *   ready: () => onceTimeout(1000),
 * }
 * ```
 *
 * @public
 */
export declare function onceTimeout(milliseconds: number): Promise<void>;
//# sourceMappingURL=timeout.d.ts.map